using PCUT.Extensions;
using Windows.Foundation;

namespace PCUT.DeepNestApi
{
    public class LineElement : DraftElement
    {
        public override Point[] GetPoints()
        {
            return new[] { Start, End };
        }
        public override double Length => Start.DistTo(End);
        public override void Reverse()
        {
            var temp = End;
            End = Start;
            Start = temp;
        }

        internal override void Mult(double mult)
        {
            Start = Start.Mult(mult);
        }
    }

}
